package FDN::Web::FormUtils;

use strict;
use Exporter;

our @ISA = ( 'Exporter' );
our @EXPORT = qw (
	add_list_selval
);
our @EXPORT_OK = qw (
	__send_file
);

use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Web::Forms qw( :dynamics );

our $debug = 0;
sub __debug($) {
	return if ! $debug;
	debug $_[0];
}

sub add_list_selval($$$$$) {
	my ( $form, $rewrite_file, $rewrite, $field, $list ) = @_;
	my $cfg = {};
	my @lst;
	for my $elt ( @$list ) {
		my $res;
		$res = Rewrite_Table($rewrite_file,$rewrite,$elt);
		my $c = {};
		for my $e ( @{$res->{valeurs}} ) {
			$c->{$e->{nom}} = $e->{valeur};
		}
		my $key = $c->{value};
		$cfg->{"selval-".$key} = $c;
		push @lst, $key;
	}
	my $sel = $form->{byname}->{$field};
	for my $k ( @lst ) {
		my $sv = form_new_selval($cfg,$k);
		form_add_selval($sel,$sv);
	}
}

sub add_separator_selval($$$$) {
	my ( $form, $field, $text, $name ) = @_;
	my $cfg = {
		'selval-'.$name => {
			'label' => $text,
			'value' => ''
		}
	};
	my $sel = $form->{byname}->{$field};
	my $sv = form_new_selval($cfg,$name);
	form_add_selval($sel,$sv);
}

1;

